### Name: holderSpectrum
### Title: The Holder spectrum of a time series
### Aliases: holderSpectrum
### Keywords: univar models nonlinear

### ** Examples

## calculate the CWT of a random walk series and 
## the plot the result with an overlay of the 
## original time series above the CWT image 
set.seed(100)
x <- cumsum(rnorm(1024))
x.cwt <- wavCWT(x)
plot(x.cwt, series=TRUE)

## create a WTMM tree and plot the first 50 
## branches found 
x.tree <- wtmmTree(x.cwt)
plot(x.tree[1:50])

## estimate and plot the Holder spectrum 
x.holder <- holderSpectrum(x.tree)
old.plt <- splitplot(2,1,1)
plot(x, type="l", col="blue", ylab="RANDOM WALK", xlab="TIME")
splitplot(2,1,2)
plot(x.holder$time, x.holder$exponent, type="s", xlab="TIME",ylab="Holder exponent")
par(old.plt)



