### Name: wtmmTree
### Title: Tree map of continuous wavelet transform modulus maxima
### Aliases: wtmmTree [.wtmmTree plot.wtmmTree
### Keywords: univar models nonlinear

### ** Examples

## calculate the CWT of a random walk series and 
## the plot the result with an overlay of the 
## original time series above the CWT image 
set.seed(100)
x <- cumsum(rnorm(1024))
x.cwt <- wavCWT(x)
plot(x.cwt, series=TRUE)

## create a WTMM tree and plot the first 50 
## branches found 
x.tree <- wtmmTree(x.cwt)
plot(x.tree[1:50])

## plot an illustration of the Holder exponent 
## estimation process. select branches between 
## times 100 and 200 (only the first four found 
## will be fitted) 
plot(x.tree[range=c(100, 200)], fit=TRUE)



